You are not logged in.

Read the FAQ and Knowledge Base before posting.
WiFi not emulated and not supported!!
We won't make a 3DS/2DS emulator.



#1 2007-05-12 20:17:06

Sinisterff
Member
Registered: 2007-05-12
Posts: 4

GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

When i try to run Desmume 0.7.0 i get this error:

sinister@sinister-laptop:~/download/desmume-0.7.0$ desmume
GTK Accessibility Module initialized
Nbr of joysticks: 0

The program 'desmume' received an X Window System error.
This probably reflects a bug in the program.
The error was 'GLXBadContext'.
  (Details: serial 248 error_code 155 request_code 143 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

I don't know if this is a Program Error of it's beacuse my system here are the Specifications:

Dell Inspiron 6400
Graphic Card: Mobile Intel® 945GM Express Chipset
1GB Ram
Intel Centrino Duo 1.84 Ghz

If you need more info just ask

Oh and Also, i think it is something with the 3d emulation, when i run desmume --disable-3d it runs well, but of course without 3d, wich will be basically 0.6.0

Last edited by Sinisterff (2007-05-12 20:23:01)

Offline

#2 2007-05-12 21:39:36

masscat
Member
From: UK
Registered: 2007-03-17
Posts: 73
Website

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

During development I was getting a similar errors on my Nvidia based system running certain .nds files (QuakeDS). The cause in that case was OpenGL primitives not being ended before leaving a context. I believe all these have been covered though.

Does the error happen when running all .nds files?

Can you try something that is 2D only (SpoutEX for example).
Can you try something that has simple 3D (my wave machine or the meteos demo for example).

Offline

#3 2007-05-12 23:18:27

Sinisterff
Member
Registered: 2007-05-12
Posts: 4

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

Well, this happens every time i run desmume without the --disable-3d argument, even if i don't specify any nds files, when i run: $ desmume
it reports that error above.

As for the 2d only games, they run nice, but i have to put the --disable-3d to actually be able to start Desmume,
And the Simple 3d games (Obvously) don't show the 3d.

I think that this maybe it's a problem with my graphic card, So i'll search for this futher in other forums or Google.

Thanks.

Offline

#4 2007-05-13 02:37:45

evilynux
Member
From: Montréal
Registered: 2007-03-17
Posts: 118
Website

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

Is your 3D environment setup correctly? i.e. Do you have direct rendering? (`glxinfo | grep direct`)

Offline

#5 2007-05-13 04:13:54

Sinisterff
Member
Registered: 2007-05-12
Posts: 4

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

evilynux wrote:

Is your 3D environment setup correctly? i.e. Do you have direct rendering? (`glxinfo | grep direct`)

Yes, i even have Beryl Running.


direct rendering: Yes

Offline

#6 2007-05-13 08:15:26

masscat
Member
From: UK
Registered: 2007-03-17
Posts: 73
Website

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

I searched for "gtkglext GLXBadContext" and there do appear to be similar problems out there (see here and here).

Can you try running Desmume with the AIGLX extension of X Window disabled (see first link).
If this solves the problem then the bug is somewhere in X Window, Intel driver, AIGLX or DRI and not Desmume.

Something else you could try is running Desmume with the --gdk-gl-force-indirect option.

Offline

#7 2007-05-13 16:08:36

Sinisterff
Member
Registered: 2007-05-12
Posts: 4

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

Thanks masscat!, Disabling AIGLX Does solve the problem. But, of course, it screws up beryl, I'm gonna search further to see if i can solve the problems and still have Beryl, maybe use an XGL Session, or updating the Intel Drivers. Thank you very much

Offline

#8 2007-06-04 19:34:27

kalikiana
Member
Registered: 2007-04-18
Posts: 2
Website

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

Good to read that hint about --disable-3d, now I can play desmume again - more or less. I had the same problem with desmume crashing before it even really started (window was visible and disappeared quickly).However this doesn't work for the glade version. hmm

I ask you to find another way to fix this issue. I can't really disable direct rendering to play a 3d game, that's paradox. And as much as I like desmume, this workaround is a no-go for me.

Offline

#9 2007-06-05 22:05:09

masscat
Member
From: UK
Registered: 2007-03-17
Posts: 73
Website

Re: GLXBadContext Error in Linux (Ubuntu 7.04) with 0.7.0

The 0.7 glade version does not support the --disable-3d option (it is now in CVS and will be in the next release).

Unfortunately the reason for desmume crashing appears to relate to the driver/X Window/AIGLX/DRI and beyond the scope of the Desmume code (which accesses the OpenGL rendering context through the gtkGLext API). The only known workaround is to disable the AIGLX extension or disable direct rendering. I cannot find another workaround for the problem so it will persist until the bug in the driver/X Window/AIGLX/DRI is resolved.

Offline

Board footer

Powered by FluxBB